Index: library/doc/tutorial/01userguide.dox
===================================================================
--- library/doc/tutorial/01userguide.dox (revision 659)
+++ library/doc/tutorial/01userguide.dox (revision 661)
@@ -2,5 +2,5 @@
 \page userguide BDM Use - System, Data, Simulation
 
-This section serves as introdustion to the scenario of data simulation. Since it is the simpliest of all scenarios defined in \ref 005userguide0 it also serves as introduction to configuration of an experiment (see \ref ui) and basic decision making objects (bdm::RV and bdm::DS).
+This section serves as introdustion to the scenario of data simulation. Since it is the simpliest of all scenarios defined in \ref user_guide0 it also serves as introduction to configuration of an experiment (see \ref ui_page) and basic decision making objects (bdm::RV and bdm::DS).
 
 All experiments are demonstarted on scenario simulator which can be either standalone application or mex file (simulator.mex**).
@@ -75,5 +75,5 @@
 \section ug_memds DataSource of pre-recorded data -- MemDS
 
-The first experiment run in \ref first was actually an instance of DataSource of pre-recorded data that were stored in memory, i.e. the bdm::MemDS class.
+The first experiment run in \ref ug_first was actually an instance of DataSource of pre-recorded data that were stored in memory, i.e. the bdm::MemDS class.
 
 Operation of such object is trivial, the data are stored as a matrix and the general operations defined above are specialized as follows:
@@ -140,5 +140,5 @@
 
 
-\section loggers Loggers for flexible handling of results
+\section ug_loggers Loggers for flexible handling of results
 Loggers are universal objects for storing and manipulating the results of an experiment. Similar to DataSource, every logger has to provide basic functionality:
  -# initialize its storage (bdm::logger.init()),
@@ -165,5 +165,5 @@
  - bdm::stateDS
 
-The MemDS has already been introduced in the example in \ref memds.
+The MemDS has already been introduced in the example in \ref ug_memds.
 However, any of the classes listed above can be used to replace it in the example.
 This will be demonstrated on the \c EpdfDS class.
@@ -230,5 +230,5 @@
 u = RV({'u'});
 
-fy.class = 'mlnorm<ldmat>';
+fy.class = 'mlnorm\<ldmat\>';
 fy.rv    = y;
 fy.rvc   = RV({'y','u'}, [1 1], [-3, -1]);
@@ -238,5 +238,5 @@
 
 
-fu.class = 'enorm<ldmat>';
+fu.class = 'enorm\<ldmat\>';
 fu.rv    = u;
 fu.mu    = 0;
@@ -249,6 +249,6 @@
 
 Explanation of this example will require few remarks:
- - class of the \c fy object is 'mlnorm<ldmat>' which is Normal pdf with mean value given by linear function, and covariance matrix stored in LD decomposition, see bdm::mlnorm for details.
- - naming convention 'mlnorm<ldmat>' relates to the concept of templates in C++. For those unfamiliar with this concept, it is basicaly a way how to share code for different flavours of the same object. Note that mlnorm exist in three versions: mlnorm<ldmat>, mlnorm<chmat>, mlnorm<fsqmat>. Those classes act identically the only difference is that the internal data are stored either in LD decomposition, choleski decomposition or full matrices, respectively. 
+ - class of the \c fy object is 'mlnorm\<ldmat\>' which is Normal pdf with mean value given by linear function, and covariance matrix stored in LD decomposition, see bdm::mlnorm for details.
+ - naming convention 'mlnorm\<ldmat\>' relates to the concept of templates in C++. For those unfamiliar with this concept, it is basicaly a way how to share code for different flavours of the same object. Note that mlnorm exist in three versions: mlnorm\<ldmat\>, mlnorm<chmat>, mlnorm<fsqmat>. Those classes act identically the only difference is that the internal data are stored either in LD decomposition, choleski decomposition or full matrices, respectively. 
  - the same concept is used for enorm, where enorm<chmat> and enorm<fsqmat> are also possible. In this particular use, these objects are equivalent. In specific situation, e.g. Kalman filter implemented on Choleski decomposition (bdm::KalmanCh), only enorm<chmat> is approprate.
  - class 'mprod' represents the chain rule of probability. Attribute \c mpdfs of its configuration structure is a list of conditional densities. Conditional density \f$ f(a|b)\f$ is represented by class \c mpdf and its offsprings. Class \c RV is used to describe both variables before conditioning (field \c rv ) and after conditioning sign (field \c rvc).
